OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.APPLE.Fence

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEFence :: MonadIO m => m Bool
- gl_APPLE_fence :: Bool
- pattern GL_DRAW_PIXELS_APPLE :: GLenum
- pattern GL_FENCE_APPLE :: GLenum
- glDeleteFencesAPPLE :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glFinishFenceAPPLE :: MonadIO m => GLuint -> m ()
- glFinishObjectAPPLE :: MonadIO m => GLenum -> GLint -> m ()
- glGenFencesAPPLE :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glIsFenceAPPLE :: MonadIO m => GLuint -> m GLboolean
- glSetFenceAPPLE :: MonadIO m => GLuint -> m ()
- glTestFenceAPPLE :: MonadIO m => GLuint -> m GLboolean
- glTestObjectAPPLE :: MonadIO m => GLenum -> GLuint -> m GLboolean

# Extension Support

glGetAPPLEFence :: MonadIO m => m Bool Source #

Is the APPLE_fence extension supported?

gl_APPLE_fence :: Bool Source #

Is the APPLE_fence extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEFence` in those cases instead.

# Enums

pattern GL_DRAW_PIXELS_APPLE :: GLenum Source #

pattern GL_FENCE_APPLE :: GLenum Source #

# Functions

glDeleteFencesAPPLE Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `fences` pointing to `n` elements of type `FenceNV`.
-> m () |

glFinishFenceAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m () |

glFinishObjectAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `object` of type ObjectTypeAPPLE.
-> GLint | `name`.
-> m () |

glGenFencesAPPLE Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `fences` pointing to `n` elements of type `FenceNV`.
-> m () |

glIsFenceAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m GLboolean | of type Boolean.

glSetFenceAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m () |

glTestFenceAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m GLboolean | of type Boolean.

glTestObjectAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `object` of type ObjectTypeAPPLE.
-> GLuint | `name`.
-> m GLboolean | of type Boolean.